Skip to content

Pay API (0.9)

Pay API

Overview
Languages
Servers
Production
https://api.tyro.com/connect

Pay Requests

Operations

Pay Methods

Operations

List Pay Methods

Request

This endpoint is for fetching Pay Methods

Security
JWT
Query
customerIdstringrequired
Headers
Authorizationstringrequired
Default Bearer {$$.env.access_token}
curl -i -X GET \
  'https://api.tyro.com/connect/pay/methods?customerId=string' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

The Pay Methods response

Bodyapplication/json
payMethodsArray of objects(Pay Method)

List of pay methods

Response
application/json
{ "payMethods": [ {} ] }

Retrieve a Pay Method

Request

Retrieve a Pay Method

Security
JWT
Path
payMethodIdstringrequired
Headers
Authorizationstringrequired
Default Bearer {$$.env.access_token}
curl -i -X GET \
  'https://api.tyro.com/connect/pay/methods/{payMethodId}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

The Pay Method response

Bodyapplication/json
idstring

The id of the Pay Method in the Tyro Connect system. This id can be specified in the Pay Request when making payments for the associated customer.

Example: "0f448ac1-862a-4c7b-bdb4-a3b7cdbf6149"
customerIdstring

The id of the Customer in the Tyro Connect system linked to this Pay Method.

Example: "1d448ac1-862a-4c7b-bdb4-a3b7cdbf6160"
cardobject

The card used by the Pay Method

Response
application/json
{ "id": "0f448ac1-862a-4c7b-bdb4-a3b7cdbf6149", "customerId": "1d448ac1-862a-4c7b-bdb4-a3b7cdbf6160", "card": { "brand": "VISA", "expiryMonth": 10, "expiryYear": 2050, "firstSixDigits": "4365", "lastFourDigits": "4365" } }

Delete a Pay Method

Request

Delete a Pay Method

Security
JWT
Path
payMethodIdstringrequired
Headers
Authorizationstringrequired
Default Bearer {$$.env.access_token}
curl -i -X DELETE \
  'https://api.tyro.com/connect/pay/methods/{payMethodId}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

When succesfully deleted a pay method

Pay Refunds

Operations